#ifndef _BACKUP_RES_H
#define _BACKUP_RES_H

#define resizeIndex  1

#define altNoCard    1000
#define altNoHidden  1001
//#define altAlphaSoftware 1002
#define altProceedBackup 1003
#define altProceedRestore 1004
#define altNoNVFS         1005
#define altDoChanged         1006
#define altNoMem             1007

#define frmMain              1008
#define lstSets              1009
#define btnNewBackup         1010
#define btnUpdate            1011
#define btnRestore           1012
#define btnDelete            1014

#define altRestore           1015
#define altDelete            1016

#define altErrorBackingUp    1017
#define altErrorDeleting     1019
#define altErrorScanning     1020
#define frmPrefs             1021
#define chkDaily             1022
#define lstHour              1023
#define trgHour              1024
#define lstMinute            1025
#define trgMinute            1026
#define lstHalfDay           1027
#define trgHalfDay           1028
#define btnOK                1029

#define frmAbout             1030
#define mnuAbout             1031
#define mnuFrmMain           1032
#define mnuPrefs             1033
#define trgCycle             1034
#define lstCycle             1035
#define altIncomplete        1036
#define altContinueScheduled   1037
#define strLicense             1038
#define altErrorZLib           1039
#define lblCycle               1040
#define lblAt                  1041
#define trgCompression         1043
#define lstCompression         1044
#define chkSlowUpdate          1045
#define frmSelect              1046
#define btnSelectGo            1047
#define lstFiles               1048
#define btnCancel              1049
#define btnAll                 1050
#define btnNone                1051
#define mnuSelectRestore       1052
#define altSelectSet           1053
#define altLowMemRestore       1054
#define altLowMemIncomplete    1055
#define mnuLowMemRestore       1056
#define chkTestMode            1057
#define mnuTest                1058 // FOR TESTS
#define chkDimOnScheduled      1059
#define altBackupFatalError         1060
#define altIncompleteBackup    1061
#define chkResetAfterScheduled 1062
#define trgTime                1063
#define mnuFlush               1064
#define trgFlush               1065
#define lstFlush               1066
#define mnuLicense             1067
#define altLicense             1068
#define btnLicense             1069
#define strFrmMainHelp         1070
#define strFrmPrefsHelp        1071
#define btnHelp                1072
#define chkCopySelf            1073
#define chkTrustDates          1074
#define chkInternalDrive       1075
#define altUseInternal         1076
#define altWarnInternal        1077
#define altExportFail          1078
#define altNetOpenFail         1079
#define mnuExport              1080
#define frmFTP                 1081
#define altExportTooManyErrors 1082
#define fldServer              1083
#define fldUser                1084
#define chkExportAfterBackup   1087
#define mnuServerSettings      1088
#define altNeedPassword        1089
#define altPassword            1090
#define altPasswordFTP         1091
#define altNoServerSetup       1092
#define fldBaseDir             1093
//#define chkDimOnTransfer       1094
#define frmServer              1095
#define btnImport              1096
#define btnDisconnect          1097
#define altServerError         1098
#define mnuImport              1099
#define altHaveThisPath        1100
#define altServerDelete        1101
#define altErrorWriting        1102
#define altErrorInImport       1103
#define fldPort                1104
#define fldComment             1105
#define frmComment             1106
#define btnContinue            1107
#define mnuEditComment         1108
#define chkAuto                1109
#define lblBackup1             1110
#define lblBackup2             1111
#define strFrmFTPHelp          1112
#define altNewCycling          1113
#define trgPassword            1114
#define lblPassword            1115
#define chkEncrypt             1116
#define lblWithKey             1117
#define trgKey                 1118
#define altKey                 1119
#define altCryptError          1120
#define altNeedKey             1121
#define btnAdvanced            1122
#define frmAdvanced            1123
#define trgTimeServer          1124
#define lblTimeServer          1125
#define chkSetTime             1126
#define lstTimeServer          1127
#define btnSetTime             1128
#define altTimeError           1129
#define altTimeSuccess         1130
#define lblConnecting          1131
#define strFrmAdvancedHelp     1132
#define imgSchedulerDialog     1133
#define altNoCrossCompatibility 1134
#define strBadBackup            1135
#define altHadError             1136
#define chkDisableFewer         1137
#define altBattery              1138
#define mnuSelectRange          1139
#define mnuUnselectRange        1140
#define altSelectRange          1141
#define mnuFrmSelect            1142

#define FTR_SYNC               1000
#define FTR_BUSY               1001
#define FTR_NOT_WARM           1002
#define FTR_UI_SWITCH          1003
#define FTR_FROM_ERROR         1004
#define FTR_BRIGHTNESS         1005
#define FTR_PEN_DOWN           1006
#define FTR_PEN_X              1007
#define FTR_PEN_Y              1008
#define FTR_BUTTON             1009

#define armCRC                 1
#define armLCD                 2

#define appCreator 'NVbk'
#define badBackupFileType 'BadB'
#define PREF_ID_MAIN    0
#define PREF_ID_RESIZE  1

#define AUTO_BACKUP     ( sysAppLaunchCmdCustomBase + 0 )

#define MIN_CYCLE 1
#define MAX_CYCLE 7

#define MAX_PASSWORD_SIZE 64
#define MAX_SERVER_SIZE   256
#define MAX_USER_SIZE     64
#define MAX_BASEDIR_SIZE  256
#define MAX_COMMENT_SIZE  1024

#endif

